﻿using System;
using System.Threading;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            {
                Thread thread = Thread.CurrentThread;
                Console.WriteLine(thread.ThreadState); // 출력 결과: Running
            }

            {
                Console.WriteLine(DateTime.Now); // 출력 결과: 2013-02-17 오후 11:02:33
                Thread.Sleep(1000); // 1초 동안 스레드 중지
                Console.WriteLine(DateTime.Now); // 출력 결과: 2013-02-17 오후 11:02:34
            }

            {
                Thread t = new Thread(threadFunc);
                // t.IsBackground = true;
                t.Start();
            }
        }

        static void threadFunc()
        {
            Console.WriteLine("60초 후에 프로그램 종료");
            Thread.Sleep(1000 * 60); // 60초 동안 실행 중지
            // 현재 주 스레드는 종료되었어도 t 스레드는 존속한다.
            Console.WriteLine("스레드 종료!");
        }

    }
}
